/***************************************************************************
 * Copyright 2012 Kieker Project (http://kieker-monitoring.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.business.converter;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

import kieker.webgui.domain.User.Role;

@FacesConverter("roleStringConverter")
public class RoleStringConverter implements Converter {

	@Override
	public Object getAsObject(final FacesContext context, final UIComponent comp, final String str) {
		return Role.valueOf(str);
	}

	@Override
	public String getAsString(final FacesContext context, final UIComponent comp, final Object obj) {
		if (obj instanceof Role) {
			return ((Role) obj).toString();
		} else {
			return "";
		}
	}

}
