/***************************************************************************
 * Copyright 2012 Kieker Project (http://kieker-monitoring.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.common.exception;

/**
 * 
 * @author Nils Christian Ehmke
 */
public final class ApplicationInitializationException extends AbstractKiekerWebGUIException {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates a new instance of this class.
	 */
	public ApplicationInitializationException() {
		super();
	}

	/**
	 * Creates a new instance of this class using the given parameters.
	 * 
	 * @param msg
	 *            The message used for the exception.
	 */
	public ApplicationInitializationException(final String msg) {
		super(msg);
	}

	/**
	 * Creates a new instance of this class using the given parameters.
	 * 
	 * @param msg
	 *            The message used for the exception.
	 * @param cause
	 *            The cause for the exception.
	 */
	public ApplicationInitializationException(final String msg, final Throwable cause) {
		super(msg, cause);
	}
}
